function c  = init_cost(A)
%Compute initial cost
%   

[k,l] = size(A);

% 1. Encoding cost for k and l
c = logstar2(k) + logstar2(l);   

% 2. Encoding cost for row cluster sizes
c = c + k * entropy_bits(1/k);

% 3. Encoding cost for column cluster sizes
c = c + l * entropy_bits(1/l);

% 4. Encoding cost for number of 1s in each block log2(rici+1)=log2(1+1)=1
c = c + k * l;

% block encoding cost is 0


end
