function [k,l,Nx, Ny, DnZ] = compute_Dnz( Qx, Nx, Qy, Ny, DnZ )
%compute Dnz
%   

ux = unique(Qx);
uy = unique(Qy);


Nx = Nx(ux);
Ny = Ny(uy);


k = length(Nx);
l = length(Ny);

for j=1:l
    if(Ny(j)==1), continue;  end
    ind=find(Qy==uy(j));
    Qy(ind)=-1; Qy(ind(1))=uy(j);
    DnZ(:,ind(1)) = sum(DnZ(:, ind),2);
end
DnZ = DnZ(:,Qy>0);
assert(size(DnZ,2)==l);


for i=1:k
    if(Nx(i)==1), continue;  end
    ind=find(Qx==ux(i));
    Qx(ind)=-1; Qx(ind(1))=ux(i);
    DnZ(ind(1),:) = sum(DnZ(ind,:),1);
end
DnZ = DnZ(Qx>0,:);
assert(size(DnZ,1)==k);
% for i=1:k

% end



% Dnz = zeros(k,l);
% for i=1:k
%     for j=1:l
%         Dnz(i,j)=sum(sum(DnZ((Qx==ux(i)), (Qy==uy(j)))));
%     end
% end







% 
% assert(sum(sum(Dnz-Dnzo))==0)


% cy = unique(Qy);
% 
% for i = 1:length(cy)
%     index = find(Qy==cy(i));
%     if length(index) > 1
%         r1 = index(1);
%         for j = 2:length(index)
%             DnZ(:,r1) = DnZ(:,r1)+DnZ(:,index(j));
%         end
%     end
% end
% 
% DnZ = DnZ';
% 
% cx = unique(Qx);
% 
% for i = 1:length(cx)
%     index = find(Qx==cx(i));
%     if length(index) > 1
%         r1 = index(1);
%         for j = 2:length(index)
%             DnZ(:,r1) = DnZ(:,r1)+DnZ(:,index(j));
%         end
%     end
% end
% 
% DnZ = DnZ';
% 
% DnZ = DnZ(cx,cy);

end

